Subject: 24.4; occur-1 makes my buffer read-only

From: Alex Schröder <[email-masked]>
Date: Fri, 03 Jul 2015 09:21:55 +0000

I'm using isearch to search for something, then I use M-s o to run an occur
for my search term. This results in *Occur* being shown and in the buffer
I'm searching to be read-only. This is confusing. I think what people
intended was to make *Occur* read-only. But occur-mode already inherits
from special-mode which already does (setq buffer-read-only t).

I therefore propose to simply remove the (setq buffer-read-only t) line
from the end of occur-1 in replace.el. See attached patch.